Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.common.invocation
Class Scope

    java.lang.Object
      org.jboss.portal.common.invocation.Scope

    public class Scope

extends java.lang.Object

The scope of an attribute.

Version:
  $Revision: 7228 $
Author:
  Julien Viet

Field Summary
`static Scope` | `INVOCATION_SCOPE` Invocation scope.
`static Scope` | `PRINCIPAL_SCOPE` Principal scope.
`static Scope` | `REQUEST_SCOPE` Request scope.
`static Scope` | `SESSION_SCOPE` Session scope.
`static Scope` | `THREAD_SCOPE` Thread scope.

Constructor Summary
`Scope(java.lang.String value)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### PRINCIPAL_SCOPE

    public static final Scope PRINCIPAL_SCOPE

  Principal scope.

### REQUEST_SCOPE

    public static final Scope REQUEST_SCOPE

  Request scope.

### THREAD_SCOPE

    public static final Scope THREAD_SCOPE

  Thread scope.

### SESSION_SCOPE

    public static final Scope SESSION_SCOPE

  Session scope.

### INVOCATION_SCOPE

    public static final Scope INVOCATION_SCOPE

  Invocation scope.

Constructor Detail

### Scope

    public Scope(java.lang.String value)
          throws java.lang.IllegalArgumentException

Parameters:
  `value` - the scope value
Throws:
  `java.lang.IllegalArgumentException` - if the value is null

Method Detail

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.